> ## Documentation Index
> Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a server

> Retrieve server details including connections, tools, and security status.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/smithery/openapi.documented.yml get /servers/{qualifiedName}
openapi: 3.1.0
info:
  title: Smithery Platform API
  description: >-
    API for the Smithery platform — discover, deploy, and manage MCP (Model
    Context Protocol) servers. Provides endpoints for browsing the server
    registry, managing deployments, creating scoped access tokens, and
    connecting to MCP servers.
  version: 1.0.0
servers:
  - url: https://api.smithery.ai
security:
  - bearerAuth: []
tags:
  - name: servers
    description: >-
      Browse the MCP server registry, manage server configuration, and handle
      deployments
  - name: skills
    description: Discover and search reusable prompt-based skills for MCP servers
  - name: tools
    description: Search for MCP tools across all registered servers
paths:
  /servers/{qualifiedName}:
    get:
      tags:
        - servers
      summary: Get a server
      description: >-
        Retrieve server details including connections, tools, and security
        status.
      operationId: getServers:namespace
      parameters:
        - schema:
            type: string
          in: path
          name: qualifiedName
          required: true
          description: >-
            The server's qualified name (e.g. 'namespace/server' or 'namespace'
            for namespace-only servers). Use %2F to encode the slash.
      responses:
        '200':
          description: Server found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Server'
        '404':
          description: Server or namespace not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryError'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Smithery from '@smithery/api';

            const client = new Smithery({
              apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
            });

            const server = await client.servers.get('qualifiedName');

            console.log(server.connections);
components:
  schemas:
    Server:
      type: object
      properties:
        qualifiedName:
          type: string
          example: smithery/hello-world
        displayName:
          type: string
          example: Hello World
        description:
          type: string
          example: A simple hello world server
        iconUrl:
          anyOf:
            - type: string
            - type: 'null'
          example: https://example.com/icon.png
        remote:
          type: boolean
          example: true
        deploymentUrl:
          anyOf:
            - type: string
            - type: 'null'
          example: https://api.example.com
        connections:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/StdioConnection'
              - $ref: '#/components/schemas/HttpConnection'
        security:
          anyOf:
            - $ref: '#/components/schemas/ServerSecurity'
            - type: 'null'
        tools:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ServerTool'
            - type: 'null'
        resources:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ServerResource'
            - type: 'null'
        prompts:
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ServerPrompt'
            - type: 'null'
      required:
        - qualifiedName
        - displayName
        - description
        - iconUrl
        - remote
        - deploymentUrl
        - connections
        - security
        - tools
        - resources
        - prompts
      additionalProperties: false
    RegistryError:
      type: object
      properties:
        error:
          type: string
          example: Server not found
      required:
        - error
      additionalProperties: false
    StdioConnection:
      type: object
      properties:
        type:
          type: string
          const: stdio
        bundleUrl:
          type: string
          format: uri
        runtime:
          type: string
          enum:
            - node
            - binary
            - python
            - bun
        configSchema:
          $ref: '#/components/schemas/ConfigSchema'
      required:
        - type
        - bundleUrl
        - runtime
        - configSchema
      additionalProperties: false
      id: StdioConnection
    HttpConnection:
      type: object
      properties:
        type:
          type: string
          const: http
        deploymentUrl:
          type: string
        configSchema:
          $ref: '#/components/schemas/ConfigSchema'
      required:
        - type
        - deploymentUrl
        - configSchema
      additionalProperties: false
      id: HttpConnection
    ServerSecurity:
      type: object
      properties:
        scanPassed:
          type: boolean
          example: true
      required:
        - scanPassed
      additionalProperties: false
      id: ServerSecurity
    ServerTool:
      type: object
      properties:
        name:
          type: string
          example: get_weather
        description:
          anyOf:
            - type: string
            - type: 'null'
          example: Get current weather
        inputSchema:
          $ref: '#/components/schemas/ToolInputSchema'
        outputSchema:
          $ref: '#/components/schemas/ToolOutputSchema'
      required:
        - name
        - description
        - inputSchema
      additionalProperties: false
      id: ServerTool
    ServerResource:
      type: object
      properties:
        name:
          type: string
          example: config://settings
        uri:
          type: string
          example: config://app/settings
        description:
          example: Application settings
          type: string
        mimeType:
          example: application/json
          type: string
      required:
        - name
        - uri
      additionalProperties: false
      id: ServerResource
    ServerPrompt:
      type: object
      properties:
        name:
          type: string
          example: summarize
        description:
          example: Summarize the given text
          type: string
        arguments:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: text
              description:
                example: The text to summarize
                type: string
              required:
                type: boolean
                example: true
            required:
              - name
            additionalProperties: false
      required:
        - name
      additionalProperties: false
      id: ServerPrompt
    ConfigSchema:
      type: object
      propertyNames:
        type: string
      additionalProperties:
        x-stainless-any: true
    ToolInputSchema:
      type: object
      properties:
        type:
          type: string
          const: object
        properties:
          $ref: '#/components/schemas/InputSchemaProperties'
      required:
        - type
      additionalProperties: false
      id: ToolInputSchema
    ToolOutputSchema:
      id: ToolOutputSchema
      type: object
      properties:
        type:
          type: string
          const: object
        properties:
          $ref: '#/components/schemas/OutputSchemaProperties'
        required:
          type: array
          items:
            type: string
      required:
        - type
      additionalProperties: false
    InputSchemaProperties:
      id: InputSchemaProperties
      type: object
      propertyNames:
        type: string
      additionalProperties:
        x-stainless-any: true
    OutputSchemaProperties:
      id: OutputSchemaProperties
      type: object
      propertyNames:
        type: string
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Smithery API key as Bearer token

````